import 'package:ef/ef.dart';
import 'package:json_annotation/json_annotation.dart';

part 'message_setting_controller.g.dart'; // 由json_serializable自动生成的部分

@JsonSerializable()
class MessageSettingModel {
  int? setting = 0;//总设置 0 关闭 1 开启
  int? appSetting = 0;//app消息设置
  int? serviceSetting = 0;//服务号消息

  MessageSettingModel();

  // 从JSON反序列化时的异常处理

  factory MessageSettingModel.fromJson(Map<String, dynamic> json) {
    try {
      return _$MessageSettingModelFromJson(json);
    } catch (e) {
      // 在实际应用中，应该有更细致的异常处理策略和错误日志
      return MessageSettingModel(); // 或者返回一个带有错误信息的特定DeviceInfoModel实例
    }
  }

  // 序列化为JSON时的异常处理
  Map<String, dynamic> toJson() => _$MessageSettingModelToJson(this);
}

class MessageSettingController extends GetControllerEx<MessageSettingModel> {
  MessageSettingController() {
    attr = GetModel(MessageSettingModel()).obs;
  }

}
